Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mdm
Class MdmTimeDimension

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mdm.MdmObject
                  |
                  +--oracle.olapi.metadata.mdm.MdmSource
                        |
                        +--oracle.olapi.metadata.mdm.MdmDimension
                              |
                              +--oracle.olapi.metadata.mdm.MdmPrimaryDimension
                                    |
                                    +--oracle.olapi.metadata.mdm.MdmTimeDimension

public final class MdmTimeDimension
extends MdmPrimaryDimension

An `MdmPrimaryDimension` that represents an Oracle OLAP dimension of time periods.

Method Summary
`java.lang.Object` | `acceptVisitor(MdmObjectVisitor visitor, java.lang.Object context)` Calls the `visitMdmTimeDimension` method of the `MdmObjectVisitor` and passes that method the `MdmTimeDimension` and the `Object`.
`void` | `addCustomMember(MdmTimeMember customMember)` Adds a custom member to the `MdmTimeDimension`.
`MdmTimeMember` | `createCustomMember(java.lang.String name, MdmLevel level, java.lang.String parent, java.util.Date endDate, int timeSpan, Source source, int precedence)` Creates a custom dimension member with the specified parent for the `MdmTimeDimension`.
`MdmTimeMember` | `createCustomMember(java.lang.String name, MdmLevel level, java.lang.String parent, MdmLevel parentLevel, java.util.Date endDate, int timeSpan, Source source, int precedence)` Creates a custom dimension member with the specified parent and parent level for the `MdmTimeDimension`.
`MdmTimeMember` | `createCustomMember(java.lang.String name, MdmValueHierarchy valueHier, java.util.Date endDate, int timeSpan, Source source, int precedence)` Creates a custom dimension member for the `MdmTimeDimension`.
`MdmAttribute` | `createEndDateAttribute(MtmValueExpression defaultExpression)` Creates a custom `MdmAttribute` and makes it the end date attribute for the `MdmTimeDimension`.
`MdmAttribute` | `createTimeSpanAttribute(MtmValueExpression defaultExpression)` Creates a custom `MdmAttribute` and makes it the time span attribute for the `MdmTimeDimension`.
`java.util.List` | `getCustomMembers()` Gets the custom members of the `MdmTimeDimension`.
`MdmAttribute` | `getEndDateAttribute()` Gets an `MdmAttribute` that relates each member of the `MdmSubDimension` components of the `MdmTimeDimension` to the end date of the time period that the member represents.
`MdmAttribute` | `getTimeSpanAttribute()` Gets an `MdmAttribute` that relates each member of the `MdmSubDimension` components of the `MdmTimeDimension` to the time span of the time period that the member represents.
`void` | `removeCustomMember(MdmTimeMember customMember)` Removes a custom member from the `MdmTimeDimension`.

Methods inherited from class oracle.olapi.metadata.mdm.MdmPrimaryDimension
`createBooleanAttribute, createBooleanAttribute, createDateAttribute, createDateAttribute, createLevelHierarchy, createNumericAttribute, createNumericAttribute, createSolvedLevelHierarchy, createStringAttribute, createStringAttribute, createUnsolvedLevelHierarchy, createValueHierarchy, getAncestorsAttribute, getBooleanCalcModel, getDateCalcModel, getDefaultHierarchy, getHierarchies, getHierarchyAttribute, getIsCustomMemberAttribute, getLevelAttribute, getLevelDepthAttribute, getLocalValueAttribute, getNumberCalcModel, getParentAttribute, getPrimaryDimension, getShortValueDescriptionAttribute, getStringCalcModel, getValueDescriptionAttribute, getValueLineageAttribute, getValueSeparationString, removeHierarchy, setBooleanCalcModel, setDateCalcModel, setDefaultHierarchy, setNumberCalcModel, setShortValueDescriptionAttribute, setStringCalcModel, setValueDescriptionAttribute, setValueSeparationString`

Methods inherited from class oracle.olapi.metadata.mdm.MdmDimension
`getAttributes, getCardinality, getPluralDescription, getShortPluralDescription, removeAttribute, setCardinality, setPluralDescription, setShortPluralDescription`

Methods inherited from class oracle.olapi.metadata.mdm.MdmSource
`getDataType, getModel, getSource, getSourceMap, getType, setModel`

Methods inherited from class oracle.olapi.metadata.mdm.MdmObject
`getDescription, getMetadataProvider, getName, getShortDescription, setDescription, setName, setShortDescription`

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acceptVisitor

    public java.lang.Object acceptVisitor(MdmObjectVisitor visitor,
                                          java.lang.Object context)

  Calls the `visitMdmTimeDimension` method of the `MdmObjectVisitor` and passes that method the `MdmTimeDimension` and the `Object`.
  Overrides:
    acceptVisitor in class MdmObject
  Parameters:
    `visitor` - An `MdmObjectVisitor`.
    `context` - An `Object`.
  Returns:
    The `Object` returned by the `MdmObjectVisitor`.

### getEndDateAttribute

    public final MdmAttribute getEndDateAttribute()

  Gets an `MdmAttribute` that relates each member of the `MdmSubDimension` components of the `MdmTimeDimension` to the end date of the time period that the member represents.
  Returns:
    An `MdmAttribute` that relates each member of the `MdmSubDimension` components of the `MdmTimeDimension` to the end date of the time period that the member represents.

### getTimeSpanAttribute

    public final MdmAttribute getTimeSpanAttribute()

  Gets an `MdmAttribute` that relates each member of the `MdmSubDimension` components of the `MdmTimeDimension` to the time span of the time period that the member represents.
  Returns:
    An `MdmAttribute` that relates each member of the `MdmSubDimension` components of the `MdmTimeDimension` to the time span of the time period that the member represents.

### createEndDateAttribute

    public MdmAttribute createEndDateAttribute(MtmValueExpression defaultExpression)

  Creates a custom `MdmAttribute` and makes it the end date attribute for the `MdmTimeDimension`.
  Parameters:
    `defaultExpression` - An `MtmValueExpression` with a data type of Date that specifies end date values for the members of the dimension. The expression should be independent of any hierarchy; that is, it should be a constant expression or it should be based on columns that appear in the tables of all of the hierarchies in the dimension.
  Returns:
    An `MdmAttribute` that is the end date attribute of the `MdmTimeDimension`.

### createTimeSpanAttribute

    public MdmAttribute createTimeSpanAttribute(MtmValueExpression defaultExpression)

  Creates a custom `MdmAttribute` and makes it the time span attribute for the `MdmTimeDimension`.
  Parameters:
    `defaultExpression` - An `MtmValueExpression` with a data type of Number that specifies time span values for the members of the dimension. The expression should be independent of any hierarchy; that is, it should be a constant expression or it should be based on columns that appear in the tables of all of the hierarchies in the dimension.
  Returns:
    An `MdmAttribute` that is the time span attribute of the `MdmTimeDimension`.

### createCustomMember

    public MdmTimeMember createCustomMember(java.lang.String name,
                                            MdmLevel level,
                                            java.lang.String parent,
                                            java.util.Date endDate,
                                            int timeSpan,
                                            Source source,
                                            int precedence)

  Creates a custom dimension member with the specified parent for the `MdmTimeDimension`.
  Parameters:
    `name` - A `String` that contains the local value for the member.
    `level` - The `MdmLevel` to which you want the member to belong.
    `parent` - A `String` that contains the local value of the parent of the member. The parent must be a member of the level that is one level above the level to which the custom member belongs.
    `endDate` - A `Date` that specifies the end date for the member.
    `timeSpan` - An integer that specifies the time span for the member.
    `source` - A `Source` that specifies the value of the custom member; this value is the measure value that is specified by the custom member for an `MdmMeasure` that is dimensioned by the `MdmTimeDimension`.
    `precedence` - An integer that specifies the precedence for the custom member.
  Returns:
    An `MdmTimeMember` that is a custom member of the dimension.

### createCustomMember

    public MdmTimeMember createCustomMember(java.lang.String name,
                                            MdmLevel level,
                                            java.lang.String parent,
                                            MdmLevel parentLevel,
                                            java.util.Date endDate,
                                            int timeSpan,
                                            Source source,
                                            int precedence)

  Creates a custom dimension member with the specified parent and parent level for the `MdmTimeDimension`.
  Parameters:
    `name` - A `String` that contains the local value for the member.
    `level` - The `MdmLevel` to which you want the member to belong.
    `parent` - A `String` that contains the local value of the parent of the member.
    `parentLevel` - The `MdmLevel` to which the parent of the member belongs.
    `endDate` - A `Date` that specifies the end date for the member.
    `timeSpan` - An integer that specifies the time span for the member.
    `source` - A `Source` that specifies the value of the custom member; the value is the measure value that is specified by the custom member for an `MdmMeasure` that is dimensioned by the `MdmTimeDimension`.
    `precedence` - An integer that specifies the precedence for the custom member.
  Returns:
    An `MdmTimeMember` that is a custom member of the dimension.

### createCustomMember

    public MdmTimeMember createCustomMember(java.lang.String name,
                                            MdmValueHierarchy valueHier,
                                            java.util.Date endDate,
                                            int timeSpan,
                                            Source source,
                                            int precedence)

  Creates a custom dimension member for the `MdmTimeDimension`.
  Parameters:
    `name` - A `String` that contains the local value for the member.
    `valueHier` - The `MdmValueHierarchy` to which you want the member to belong.
    `endDate` - A `Date` that specifies the end date for the member.
    `timeSpan` - An integer that specifies the time span for the member.
    `source` - A `Source` that specifies the value of the custom member; this value is the measure value that is specified by the custom member for an `MdmMeasure` that is dimensioned by the `MdmTimeDimension`.
    `precedence` - An integer that specifies the precedence for the custom member.
  Returns:
    An `MdmTimeMember` that is a custom member of the dimension.

### getCustomMembers

    public final java.util.List getCustomMembers()

  Gets the custom members of the `MdmTimeDimension`.
  Returns:
    A `List` that contains the `MdmTimeMember` objects that are the custom members of the `MdmTimeDimension`.

### addCustomMember

    public final void addCustomMember(MdmTimeMember customMember)

  Adds a custom member to the `MdmTimeDimension`. Use this method to add a custom member that you create with the constructor of the `MdmTimeMember` class.
  Parameters:
    `customMember` - The custom `MdmTimedMember` to add to the `MdmTimeDimension`.

### removeCustomMember

    public final void removeCustomMember(MdmTimeMember customMember)

  Removes a custom member from the `MdmTimeDimension`.
  Parameters:
    `customMember` - The custom `MdmTimedMember` to remove from the `MdmTimeDimension`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.